Skip to main content

Class ExecuteSqlRequest

java.lang.Object
com.gpudb.protocol.ExecuteSqlRequest
All Implemented Interfaces:
org.apache.avro.generic.GenericContainer, org.apache.avro.generic.IndexedRecord

public class ExecuteSqlRequest extends Object implements org.apache.avro.generic.IndexedRecord
A set of parameters for GPUdb.executeSql.

Execute a SQL statement (query, DML, or DDL).

See SQL Support for the complete set of supported SQL commands.

When a caller wants all the results from a large query (e.g., more than max_get_records_size records), they can make multiple calls to this endpoint using the offset and limit parameters to page through the results. Normally, this will execute the statement query each time. To avoid re-executing the query each time and to keep the results in the same order, the caller should specify a PAGING_TABLE name to hold the results of the query between calls and specify the PAGING_TABLE on subsequent calls. When this is done, the caller should clear the paging table and any other tables in the RESULT_TABLE_LIST (both returned in the response) when they are done paging through the results. pagingTable (and RESULT_TABLE_LIST) will be empty if no paging table was created (e.g., when all the query results were returned in the first call).

  • Constructor Details

    • ExecuteSqlRequest

      public ExecuteSqlRequest()
      Constructs an ExecuteSqlRequest object with default parameters.
    • ExecuteSqlRequest

      public ExecuteSqlRequest(String statement, long offset, long limit, String requestSchemaStr, List<ByteBuffer> data, Map<String,String> options)
      Constructs an ExecuteSqlRequest object with the specified parameters.
      Parameters:
      statement - SQL statement (query, DML, or DDL) to be executed.
      offset - A positive integer indicating the number of initial results to skip (this can be useful for paging through the results). The default value is 0. The minimum allowed value is 0. The maximum allowed value is MAX_INT.
      limit - A positive integer indicating the maximum number of results to be returned, or END_OF_SET (-9999) to indicate that the maximum number of results allowed by the server should be returned. The number of records returned will never exceed the server’s own limit, defined by the max_get_records_size parameter in the server configuration. Use hasMoreRecords to see if more records exist in the result to be fetched, and offset and limit to request subsequent pages of results. The default value is -9999.
      requestSchemaStr - Avro schema of data. The default value is ”.
      data - An array of binary-encoded data for the records to be binded to the SQL query. Or use QUERY_PARAMETERS to pass the data in JSON format. The default value is an empty List.
      options - Optional parameters.
      • COST_BASED_OPTIMIZATION: If FALSE, disables the cost-based optimization of the given query. Supported values:The default value is FALSE.
      • DISTRIBUTED_JOINS: If TRUE, enables the use of distributed joins in servicing the given query. Any query requiring a distributed join will succeed, though hints can be used in the query to change the distribution of the source data to allow the query to succeed. Supported values:The default value is FALSE.
      • DISTRIBUTED_OPERATIONS: If TRUE, enables the use of distributed operations in servicing the given query. Any query requiring a distributed join will succeed, though hints can be used in the query to change the distribution of the source data to allow the query to succeed. Supported values:The default value is FALSE.
      • IGNORE_EXISTING_PK: Specifies the record collision error-suppression policy for inserting into or updating a table with a primary key, only used when primary key record collisions are rejected (UPDATE_ON_EXISTING_PK is FALSE). If set to TRUE, any record insert/update that is rejected for resulting in a primary key collision with an existing table record will be ignored with no error generated. If FALSE, the rejection of any insert/update for resulting in a primary key collision will cause an error to be reported. If the specified table does not have a primary key or if UPDATE_ON_EXISTING_PK is TRUE, then this option has no effect. Supported values:
        • TRUE: Ignore inserts/updates that result in primary key collisions with existing records.
        • FALSE: Treat as errors any inserts/updates that result in primary key collisions with existing records.
        The default value is FALSE.
      • LATE_MATERIALIZATION: If TRUE, Joins/Filters results will always be materialized ( saved to result tables format). Supported values:The default value is FALSE.
      • PAGING_TABLE: When specified (or PAGING_TABLE_TTL is set), the system will create a paging table to hold the results of the query, when the output has more records than are in the response (i.e., when hasMoreRecords is TRUE). If the specified paging table exists, the records from the paging table are returned without re-evaluating the query. It is the caller’s responsibility to clear the pagingTable and other tables in the RESULT_TABLE_LIST (both returned in the response) when they are done with this query.
      • PAGING_TABLE_TTL: Sets the TTL of the paging table. -1 indicates no timeout. Setting this option will cause a paging table to be generated when needed. The pagingTable and other tables in the RESULT_TABLE_LIST (both returned in the response) will be automatically cleared after the TTL expires, if set to a positive number. However, it is still recommended that the caller clear these tables when they are done with this query.
      • PARALLEL_EXECUTION: If FALSE, disables the parallel step execution of the given query. Supported values:The default value is TRUE.
      • PLAN_CACHE: If FALSE, disables plan caching for the given query. Supported values:The default value is TRUE.
      • PREPARE_MODE: If TRUE, compiles a query into an execution plan and saves it in query cache. Query execution is not performed and an empty response will be returned to user. Supported values:The default value is FALSE.
      • PRESERVE_DICT_ENCODING: If TRUE, then columns that were dict encoded in the source table will be dict encoded in the projection table. Supported values:The default value is TRUE.
      • QUERY_PARAMETERS: Query parameters in JSON array or arrays (for inserting multiple rows). This can be used instead of data and requestSchemaStr.
      • RESULTS_CACHING: If FALSE, disables caching of the results of the given query. Supported values:The default value is TRUE.
      • RULE_BASED_OPTIMIZATION: If FALSE, disables rule-based rewrite optimizations for the given query. Supported values:The default value is TRUE.
      • SSQ_OPTIMIZATION: If FALSE, scalar subqueries will be translated into joins. Supported values:The default value is TRUE.
      • TTL: Sets the TTL of the intermediate result tables used in query execution.
      • UPDATE_ON_EXISTING_PK: Specifies the record collision policy for inserting into or updating a table with a primary key. If set to TRUE, any existing table record with primary key values that match those of a record being inserted or updated will be replaced by that record. If set to FALSE, any such primary key collision will result in the insert/update being rejected and the error handled as determined by IGNORE_EXISTING_PK. If the specified table does not have a primary key, then this option has no effect. Supported values:
        • TRUE: Replace the collided-into record with the record inserted or updated when a new/modified record causes a primary key collision with an existing record.
        • FALSE: Reject the insert or update when it results in a primary key collision with an existing record.
        The default value is FALSE.
      • VALIDATE_CHANGE_COLUMN: When changing a column using alter table, validate the change before applying it. If TRUE, then validate all values. A value too large (or too long) for the new type will prevent any change. If FALSE, then when a value is too large or long, it will be truncated. Supported values:The default value is TRUE.
      • CURRENT_SCHEMA: Use the supplied value as the default schema when processing this SQL command.
      The default value is an empty Map.
    • ExecuteSqlRequest

      public ExecuteSqlRequest(String statement, long offset, long limit, String encoding, String requestSchemaStr, List<ByteBuffer> data, Map<String,String> options)
      Constructs an ExecuteSqlRequest object with the specified parameters.
      Parameters:
      statement - SQL statement (query, DML, or DDL) to be executed.
      offset - A positive integer indicating the number of initial results to skip (this can be useful for paging through the results). The default value is 0. The minimum allowed value is 0. The maximum allowed value is MAX_INT.
      limit - A positive integer indicating the maximum number of results to be returned, or END_OF_SET (-9999) to indicate that the maximum number of results allowed by the server should be returned. The number of records returned will never exceed the server’s own limit, defined by the max_get_records_size parameter in the server configuration. Use hasMoreRecords to see if more records exist in the result to be fetched, and offset and limit to request subsequent pages of results. The default value is -9999.
      encoding - Specifies the encoding for returned records; either ‘binary’ or ‘json’. Supported values:The default value is BINARY.
      requestSchemaStr - Avro schema of data. The default value is ”.
      data - An array of binary-encoded data for the records to be binded to the SQL query. Or use QUERY_PARAMETERS to pass the data in JSON format. The default value is an empty List.
      options - Optional parameters.
      • COST_BASED_OPTIMIZATION: If FALSE, disables the cost-based optimization of the given query. Supported values:The default value is FALSE.
      • DISTRIBUTED_JOINS: If TRUE, enables the use of distributed joins in servicing the given query. Any query requiring a distributed join will succeed, though hints can be used in the query to change the distribution of the source data to allow the query to succeed. Supported values:The default value is FALSE.
      • DISTRIBUTED_OPERATIONS: If TRUE, enables the use of distributed operations in servicing the given query. Any query requiring a distributed join will succeed, though hints can be used in the query to change the distribution of the source data to allow the query to succeed. Supported values:The default value is FALSE.
      • IGNORE_EXISTING_PK: Specifies the record collision error-suppression policy for inserting into or updating a table with a primary key, only used when primary key record collisions are rejected (UPDATE_ON_EXISTING_PK is FALSE). If set to TRUE, any record insert/update that is rejected for resulting in a primary key collision with an existing table record will be ignored with no error generated. If FALSE, the rejection of any insert/update for resulting in a primary key collision will cause an error to be reported. If the specified table does not have a primary key or if UPDATE_ON_EXISTING_PK is TRUE, then this option has no effect. Supported values:
        • TRUE: Ignore inserts/updates that result in primary key collisions with existing records.
        • FALSE: Treat as errors any inserts/updates that result in primary key collisions with existing records.
        The default value is FALSE.
      • LATE_MATERIALIZATION: If TRUE, Joins/Filters results will always be materialized ( saved to result tables format). Supported values:The default value is FALSE.
      • PAGING_TABLE: When specified (or PAGING_TABLE_TTL is set), the system will create a paging table to hold the results of the query, when the output has more records than are in the response (i.e., when hasMoreRecords is TRUE). If the specified paging table exists, the records from the paging table are returned without re-evaluating the query. It is the caller’s responsibility to clear the pagingTable and other tables in the RESULT_TABLE_LIST (both returned in the response) when they are done with this query.
      • PAGING_TABLE_TTL: Sets the TTL of the paging table. -1 indicates no timeout. Setting this option will cause a paging table to be generated when needed. The pagingTable and other tables in the RESULT_TABLE_LIST (both returned in the response) will be automatically cleared after the TTL expires, if set to a positive number. However, it is still recommended that the caller clear these tables when they are done with this query.
      • PARALLEL_EXECUTION: If FALSE, disables the parallel step execution of the given query. Supported values:The default value is TRUE.
      • PLAN_CACHE: If FALSE, disables plan caching for the given query. Supported values:The default value is TRUE.
      • PREPARE_MODE: If TRUE, compiles a query into an execution plan and saves it in query cache. Query execution is not performed and an empty response will be returned to user. Supported values:The default value is FALSE.
      • PRESERVE_DICT_ENCODING: If TRUE, then columns that were dict encoded in the source table will be dict encoded in the projection table. Supported values:The default value is TRUE.
      • QUERY_PARAMETERS: Query parameters in JSON array or arrays (for inserting multiple rows). This can be used instead of data and requestSchemaStr.
      • RESULTS_CACHING: If FALSE, disables caching of the results of the given query. Supported values:The default value is TRUE.
      • RULE_BASED_OPTIMIZATION: If FALSE, disables rule-based rewrite optimizations for the given query. Supported values:The default value is TRUE.
      • SSQ_OPTIMIZATION: If FALSE, scalar subqueries will be translated into joins. Supported values:The default value is TRUE.
      • TTL: Sets the TTL of the intermediate result tables used in query execution.
      • UPDATE_ON_EXISTING_PK: Specifies the record collision policy for inserting into or updating a table with a primary key. If set to TRUE, any existing table record with primary key values that match those of a record being inserted or updated will be replaced by that record. If set to FALSE, any such primary key collision will result in the insert/update being rejected and the error handled as determined by IGNORE_EXISTING_PK. If the specified table does not have a primary key, then this option has no effect. Supported values:
        • TRUE: Replace the collided-into record with the record inserted or updated when a new/modified record causes a primary key collision with an existing record.
        • FALSE: Reject the insert or update when it results in a primary key collision with an existing record.
        The default value is FALSE.
      • VALIDATE_CHANGE_COLUMN: When changing a column using alter table, validate the change before applying it. If TRUE, then validate all values. A value too large (or too long) for the new type will prevent any change. If FALSE, then when a value is too large or long, it will be truncated. Supported values:The default value is TRUE.
      • CURRENT_SCHEMA: Use the supplied value as the default schema when processing this SQL command.
      The default value is an empty Map.
  • Method Details

    • getClassSchema

      public static org.apache.avro.Schema getClassSchema()
      This method supports the Avro framework and is not intended to be called directly by the user.
      Returns:
      The schema for the class.
    • getStatement

      public String getStatement()
      SQL statement (query, DML, or DDL) to be executed.
      Returns:
      The current value of statement.
    • setStatement

      public ExecuteSqlRequest setStatement(String statement)
      SQL statement (query, DML, or DDL) to be executed.
      Parameters:
      statement - The new value for statement.
      Returns:
      this to mimic the builder pattern.
    • getOffset

      public long getOffset()
      A positive integer indicating the number of initial results to skip (this can be useful for paging through the results). The default value is 0. The minimum allowed value is 0. The maximum allowed value is MAX_INT.
      Returns:
      The current value of offset.
    • setOffset

      public ExecuteSqlRequest setOffset(long offset)
      A positive integer indicating the number of initial results to skip (this can be useful for paging through the results). The default value is 0. The minimum allowed value is 0. The maximum allowed value is MAX_INT.
      Parameters:
      offset - The new value for offset.
      Returns:
      this to mimic the builder pattern.
    • getLimit

      public long getLimit()
      A positive integer indicating the maximum number of results to be returned, or END_OF_SET (-9999) to indicate that the maximum number of results allowed by the server should be returned. The number of records returned will never exceed the server’s own limit, defined by the max_get_records_size parameter in the server configuration. Use hasMoreRecords to see if more records exist in the result to be fetched, and offset and limit to request subsequent pages of results. The default value is -9999.
      Returns:
      The current value of limit.
    • setLimit

      public ExecuteSqlRequest setLimit(long limit)
      A positive integer indicating the maximum number of results to be returned, or END_OF_SET (-9999) to indicate that the maximum number of results allowed by the server should be returned. The number of records returned will never exceed the server’s own limit, defined by the max_get_records_size parameter in the server configuration. Use hasMoreRecords to see if more records exist in the result to be fetched, and offset and limit to request subsequent pages of results. The default value is -9999.
      Parameters:
      limit - The new value for limit.
      Returns:
      this to mimic the builder pattern.
    • getEncoding

      public String getEncoding()
      Specifies the encoding for returned records; either ‘binary’ or ‘json’. Supported values:The default value is BINARY.
      Returns:
      The current value of encoding.
    • setEncoding

      public ExecuteSqlRequest setEncoding(String encoding)
      Specifies the encoding for returned records; either ‘binary’ or ‘json’. Supported values:The default value is BINARY.
      Parameters:
      encoding - The new value for encoding.
      Returns:
      this to mimic the builder pattern.
    • getRequestSchemaStr

      public String getRequestSchemaStr()
      Avro schema of data. The default value is ”.
      Returns:
      The current value of requestSchemaStr.
    • setRequestSchemaStr

      public ExecuteSqlRequest setRequestSchemaStr(String requestSchemaStr)
      Avro schema of data. The default value is ”.
      Parameters:
      requestSchemaStr - The new value for requestSchemaStr.
      Returns:
      this to mimic the builder pattern.
    • getData

      public List<ByteBuffer> getData()
      An array of binary-encoded data for the records to be binded to the SQL query. Or use QUERY_PARAMETERS to pass the data in JSON format. The default value is an empty List.
      Returns:
      The current value of data.
    • setData

      public ExecuteSqlRequest setData(List<ByteBuffer> data)
      An array of binary-encoded data for the records to be binded to the SQL query. Or use QUERY_PARAMETERS to pass the data in JSON format. The default value is an empty List.
      Parameters:
      data - The new value for data.
      Returns:
      this to mimic the builder pattern.
    • getOptions

      public Map<String,String> getOptions()
      Optional parameters.
      • COST_BASED_OPTIMIZATION: If FALSE, disables the cost-based optimization of the given query. Supported values:The default value is FALSE.
      • DISTRIBUTED_JOINS: If TRUE, enables the use of distributed joins in servicing the given query. Any query requiring a distributed join will succeed, though hints can be used in the query to change the distribution of the source data to allow the query to succeed. Supported values:The default value is FALSE.
      • DISTRIBUTED_OPERATIONS: If TRUE, enables the use of distributed operations in servicing the given query. Any query requiring a distributed join will succeed, though hints can be used in the query to change the distribution of the source data to allow the query to succeed. Supported values:The default value is FALSE.
      • IGNORE_EXISTING_PK: Specifies the record collision error-suppression policy for inserting into or updating a table with a primary key, only used when primary key record collisions are rejected (UPDATE_ON_EXISTING_PK is FALSE). If set to TRUE, any record insert/update that is rejected for resulting in a primary key collision with an existing table record will be ignored with no error generated. If FALSE, the rejection of any insert/update for resulting in a primary key collision will cause an error to be reported. If the specified table does not have a primary key or if UPDATE_ON_EXISTING_PK is TRUE, then this option has no effect. Supported values:
        • TRUE: Ignore inserts/updates that result in primary key collisions with existing records.
        • FALSE: Treat as errors any inserts/updates that result in primary key collisions with existing records.
        The default value is FALSE.
      • LATE_MATERIALIZATION: If TRUE, Joins/Filters results will always be materialized ( saved to result tables format). Supported values:The default value is FALSE.
      • PAGING_TABLE: When specified (or PAGING_TABLE_TTL is set), the system will create a paging table to hold the results of the query, when the output has more records than are in the response (i.e., when hasMoreRecords is TRUE). If the specified paging table exists, the records from the paging table are returned without re-evaluating the query. It is the caller’s responsibility to clear the pagingTable and other tables in the RESULT_TABLE_LIST (both returned in the response) when they are done with this query.
      • PAGING_TABLE_TTL: Sets the TTL of the paging table. -1 indicates no timeout. Setting this option will cause a paging table to be generated when needed. The pagingTable and other tables in the RESULT_TABLE_LIST (both returned in the response) will be automatically cleared after the TTL expires, if set to a positive number. However, it is still recommended that the caller clear these tables when they are done with this query.
      • PARALLEL_EXECUTION: If FALSE, disables the parallel step execution of the given query. Supported values:The default value is TRUE.
      • PLAN_CACHE: If FALSE, disables plan caching for the given query. Supported values:The default value is TRUE.
      • PREPARE_MODE: If TRUE, compiles a query into an execution plan and saves it in query cache. Query execution is not performed and an empty response will be returned to user. Supported values:The default value is FALSE.
      • PRESERVE_DICT_ENCODING: If TRUE, then columns that were dict encoded in the source table will be dict encoded in the projection table. Supported values:The default value is TRUE.
      • QUERY_PARAMETERS: Query parameters in JSON array or arrays (for inserting multiple rows). This can be used instead of data and requestSchemaStr.
      • RESULTS_CACHING: If FALSE, disables caching of the results of the given query. Supported values:The default value is TRUE.
      • RULE_BASED_OPTIMIZATION: If FALSE, disables rule-based rewrite optimizations for the given query. Supported values:The default value is TRUE.
      • SSQ_OPTIMIZATION: If FALSE, scalar subqueries will be translated into joins. Supported values:The default value is TRUE.
      • TTL: Sets the TTL of the intermediate result tables used in query execution.
      • UPDATE_ON_EXISTING_PK: Specifies the record collision policy for inserting into or updating a table with a primary key. If set to TRUE, any existing table record with primary key values that match those of a record being inserted or updated will be replaced by that record. If set to FALSE, any such primary key collision will result in the insert/update being rejected and the error handled as determined by IGNORE_EXISTING_PK. If the specified table does not have a primary key, then this option has no effect. Supported values:
        • TRUE: Replace the collided-into record with the record inserted or updated when a new/modified record causes a primary key collision with an existing record.
        • FALSE: Reject the insert or update when it results in a primary key collision with an existing record.
        The default value is FALSE.
      • VALIDATE_CHANGE_COLUMN: When changing a column using alter table, validate the change before applying it. If TRUE, then validate all values. A value too large (or too long) for the new type will prevent any change. If FALSE, then when a value is too large or long, it will be truncated. Supported values:The default value is TRUE.
      • CURRENT_SCHEMA: Use the supplied value as the default schema when processing this SQL command.
      The default value is an empty Map.
      Returns:
      The current value of options.
    • setOptions

      public ExecuteSqlRequest setOptions(Map<String,String> options)
      Optional parameters.
      • COST_BASED_OPTIMIZATION: If FALSE, disables the cost-based optimization of the given query. Supported values:The default value is FALSE.
      • DISTRIBUTED_JOINS: If TRUE, enables the use of distributed joins in servicing the given query. Any query requiring a distributed join will succeed, though hints can be used in the query to change the distribution of the source data to allow the query to succeed. Supported values:The default value is FALSE.
      • DISTRIBUTED_OPERATIONS: If TRUE, enables the use of distributed operations in servicing the given query. Any query requiring a distributed join will succeed, though hints can be used in the query to change the distribution of the source data to allow the query to succeed. Supported values:The default value is FALSE.
      • IGNORE_EXISTING_PK: Specifies the record collision error-suppression policy for inserting into or updating a table with a primary key, only used when primary key record collisions are rejected (UPDATE_ON_EXISTING_PK is FALSE). If set to TRUE, any record insert/update that is rejected for resulting in a primary key collision with an existing table record will be ignored with no error generated. If FALSE, the rejection of any insert/update for resulting in a primary key collision will cause an error to be reported. If the specified table does not have a primary key or if UPDATE_ON_EXISTING_PK is TRUE, then this option has no effect. Supported values:
        • TRUE: Ignore inserts/updates that result in primary key collisions with existing records.
        • FALSE: Treat as errors any inserts/updates that result in primary key collisions with existing records.
        The default value is FALSE.
      • LATE_MATERIALIZATION: If TRUE, Joins/Filters results will always be materialized ( saved to result tables format). Supported values:The default value is FALSE.
      • PAGING_TABLE: When specified (or PAGING_TABLE_TTL is set), the system will create a paging table to hold the results of the query, when the output has more records than are in the response (i.e., when hasMoreRecords is TRUE). If the specified paging table exists, the records from the paging table are returned without re-evaluating the query. It is the caller’s responsibility to clear the pagingTable and other tables in the RESULT_TABLE_LIST (both returned in the response) when they are done with this query.
      • PAGING_TABLE_TTL: Sets the TTL of the paging table. -1 indicates no timeout. Setting this option will cause a paging table to be generated when needed. The pagingTable and other tables in the RESULT_TABLE_LIST (both returned in the response) will be automatically cleared after the TTL expires, if set to a positive number. However, it is still recommended that the caller clear these tables when they are done with this query.
      • PARALLEL_EXECUTION: If FALSE, disables the parallel step execution of the given query. Supported values:The default value is TRUE.
      • PLAN_CACHE: If FALSE, disables plan caching for the given query. Supported values:The default value is TRUE.
      • PREPARE_MODE: If TRUE, compiles a query into an execution plan and saves it in query cache. Query execution is not performed and an empty response will be returned to user. Supported values:The default value is FALSE.
      • PRESERVE_DICT_ENCODING: If TRUE, then columns that were dict encoded in the source table will be dict encoded in the projection table. Supported values:The default value is TRUE.
      • QUERY_PARAMETERS: Query parameters in JSON array or arrays (for inserting multiple rows). This can be used instead of data and requestSchemaStr.
      • RESULTS_CACHING: If FALSE, disables caching of the results of the given query. Supported values:The default value is TRUE.
      • RULE_BASED_OPTIMIZATION: If FALSE, disables rule-based rewrite optimizations for the given query. Supported values:The default value is TRUE.
      • SSQ_OPTIMIZATION: If FALSE, scalar subqueries will be translated into joins. Supported values:The default value is TRUE.
      • TTL: Sets the TTL of the intermediate result tables used in query execution.
      • UPDATE_ON_EXISTING_PK: Specifies the record collision policy for inserting into or updating a table with a primary key. If set to TRUE, any existing table record with primary key values that match those of a record being inserted or updated will be replaced by that record. If set to FALSE, any such primary key collision will result in the insert/update being rejected and the error handled as determined by IGNORE_EXISTING_PK. If the specified table does not have a primary key, then this option has no effect. Supported values:
        • TRUE: Replace the collided-into record with the record inserted or updated when a new/modified record causes a primary key collision with an existing record.
        • FALSE: Reject the insert or update when it results in a primary key collision with an existing record.
        The default value is FALSE.
      • VALIDATE_CHANGE_COLUMN: When changing a column using alter table, validate the change before applying it. If TRUE, then validate all values. A value too large (or too long) for the new type will prevent any change. If FALSE, then when a value is too large or long, it will be truncated. Supported values:The default value is TRUE.
      • CURRENT_SCHEMA: Use the supplied value as the default schema when processing this SQL command.
      The default value is an empty Map.
      Parameters:
      options - The new value for options.
      Returns:
      this to mimic the builder pattern.
    • getSchema

      public org.apache.avro.Schema getSchema()
      This method supports the Avro framework and is not intended to be called directly by the user.
      Specified by:
      getSchema in interface org.apache.avro.generic.GenericContainer
      Returns:
      The schema object describing this class.
    • get

      public Object get(int index)
      This method supports the Avro framework and is not intended to be called directly by the user.
      Specified by:
      get in interface org.apache.avro.generic.IndexedRecord
      Parameters:
      index - the position of the field to get
      Returns:
      value of the field with the given index.
      Throws:
    • put

      public void put(int index, Object value)
      This method supports the Avro framework and is not intended to be called directly by the user.
      Specified by:
      put in interface org.apache.avro.generic.IndexedRecord
      Parameters:
      index - the position of the field to set
      value - the value to set
      Throws:
    • equals

      public boolean equals(Object obj)
      Overrides:
      equals in class Object
    • toString

      public String toString()
      Overrides:
      toString in class Object
    • hashCode

      public int hashCode()
      Overrides:
      hashCode in class Object